Index: /Dev/trunk/classes/Answer.php
===================================================================
--- /Dev/trunk/classes/Answer.php	(revision 156)
+++ /Dev/trunk/classes/Answer.php	(revision 157)
@@ -12,7 +12,7 @@
     /**
      * Constructor for an Answer object
-     * @param type $uid
-     * @param type $question
-     * @param type $values 
+     * @param type $uid : The uid of the Answer object.
+     * @param type $question : The Question object this Answer answers.
+     * @param type $values : An array of strings, containing the answers.
      */
     public function __construct($uid = null, $question = null, $values = null) {
Index: /Dev/trunk/classes/AnswerConnector.php
===================================================================
--- /Dev/trunk/classes/AnswerConnector.php	(revision 156)
+++ /Dev/trunk/classes/AnswerConnector.php	(revision 157)
@@ -55,9 +55,9 @@
 		$this->load();
 		$keys = array_keys($arguments);
-		$uid = "?uid"; $question = "?question_code"; $value	= ""; 
+		$uid = ""; $question = ""; $value = ""; 
 		if(in_array("uid", $keys))
-			$uid = '\''.$arguments["uid"].'\'';
+			$uid = 'predicates:uid \''.$arguments["uid"].'\'';
 		if(in_array("question", $keys))
-			$question = '\''.$arguments["question"].'\'';
+			$question = 'predicates:question_code \''.$arguments["question"].'\'';
 		if(in_array("values", $keys))
 		{
@@ -77,9 +77,6 @@
 
 				predicates:uid ?uid ;
-				predicates:question_code ?question_code;
-
-				predicates:uid ' . $uid . '
-				predicates:question_code ' . $question . '	
-				' . $value . '
+				predicates:question_code ?question_code ;
+				' . $uid . $question . $value . '
 			}';
 
Index: /Dev/trunk/classes/SessionConnector.php
===================================================================
--- /Dev/trunk/classes/SessionConnector.php	(revision 156)
+++ /Dev/trunk/classes/SessionConnector.php	(revision 157)
@@ -186,6 +186,6 @@
 		$this->model->add(new Statement($resourceSession, $predicateTitle, $sessionTitle));
 
-		//$sessionTimestamp = new Literal($rToolObject->datetime->getTimestamp());
-                $sessionTimestamp = new Literal($rToolObject->datetime);    // Edit of above function, allows for creation of session, but still results in errors...
+		$sessionTimestamp = new Literal($rToolObject->datetime->getTimestamp());
+        //      $sessionTimestamp = new Literal($rToolObject->datetime);    // Edit of above function, allows for creation of session, but still results in errors...
                 $predicateTimestamp = new Resource(DATETIME);
 		$this->model->add(new Statement($resourceSession, $predicateTimestamp, $sessionTimestamp));
Index: /Dev/trunk/rdfConstants.php
===================================================================
--- /Dev/trunk/rdfConstants.php	(revision 156)
+++ /Dev/trunk/rdfConstants.php	(revision 157)
@@ -14,8 +14,11 @@
 define('QUESTION',SURVEYTOOL_RESOURCES_NAMESPACE . 'question');
 define('APPLICATION',SURVEYTOOL_RESOURCES_NAMESPACE . 'application');
+define('ANSWER', SURVEYTOOL_RESOURCES_NAMESPACE . 'answer');
+define('ANSWERSET', SURVEYTOOL_RESOURCES_NAMESPACE . 'answerset');
 define('SESSION',SURVEYTOOL_RESOURCES_NAMESPACE . 'session');
 define('DASHBOARD',SURVEYTOOL_RESOURCES_NAMESPACE . 'dashboard');
 define('GRAPH',SURVEYTOOL_RESOURCES_NAMESPACE . 'graph');
 define('DATA',SURVEYTOOL_RESOURCES_NAMESPACE . 'data');
+define('RESPONDENT',SURVEYTOOL_RESOURCES_NAMESPACE . 'respondent');
 define('APPDATA',SURVEYTOOL_RESOURCES_NAMESPACE . 'graph');
 
@@ -27,4 +30,5 @@
 define('TITLE',SURVEYTOOL_PREDICATES_NAMESPACE . 'title');
 define('DESCRIPTION',SURVEYTOOL_PREDICATES_NAMESPACE . 'description');
+define('DATETIME',SURVEYTOOL_PREDICATES_NAMESPACE . 'datetime');
 define('PART_OF',SURVEYTOOL_PREDICATES_NAMESPACE . 'part_of');
 define('STYLE',SURVEYTOOL_PREDICATES_NAMESPACE . 'style');
@@ -33,5 +37,4 @@
 define('QCODE',SURVEYTOOL_PREDICATES_NAMESPACE . 'question_code');
 define('ANSWERED',SURVEYTOOL_PREDICATES_NAMESPACE . 'answered');
-define('RESPONDENT',SURVEYTOOL_PREDICATES_NAMESPACE . 'respondent');
 define('QCATEGORY',SURVEYTOOL_PREDICATES_NAMESPACE . 'question_category');
 define('HAS_QUESTION',SURVEYTOOL_PREDICATES_NAMESPACE . 'has_question');
@@ -43,4 +46,10 @@
 define('HAS_DATA',SURVEYTOOL_PREDICATES_NAMESPACE . 'has_data');
 define('DATA_TYPE',SURVEYTOOL_PREDICATES_NAMESPACE . 'data_type');
+define('FOR_SURVEY',SURVEYTOOL_PREDICATES_NAMESPACE . 'for_survey');
+define('BY_RESPONDENT',SURVEYTOOL_PREDICATES_NAMESPACE . 'by_respondent');
+define('GIVEN_ANSWER',SURVEYTOOL_PREDICATES_NAMESPACE . 'given_answer');
+define('HAS_APPLICATION', SURVEYTOOL_PREDICATES_NAMESPACE . 'has_application');
+define('HAS_SURVEY', SURVEYTOOL_PREDICATES_NAMESPACE . 'has_survey');
+define('HAS_ANSWERSET', SURVEYTOOL_PREDICATES_NAMESPACE . 'has_answerset');
 
 ?>
Index: /Dev/trunk/returnStep.php
===================================================================
--- /Dev/trunk/returnStep.php	(revision 156)
+++ /Dev/trunk/returnStep.php	(revision 157)
@@ -39,4 +39,5 @@
 
 function processUid($uid) {
+	$dbi = new DatabaseInterface();
     if ($uid == "123") {        // test case for when steps aren't actually working
         $imageURL = "images/icons/unknowntype.png";
@@ -67,5 +68,5 @@
             }
 
-            if (result != null) {
+            if ($result != null) {
                 $applications = $dbi->get("Application", array("uid" => $uid));
                 if (count($applications) > 0) {
@@ -78,5 +79,5 @@
             }
 
-            if (result != null) {
+            if ($result != null) {
                 $dashboards = $dbi->get("Dashboard", array("uid" => $uid));
                 if (count($dashboards) > 0) {
@@ -111,5 +112,5 @@
 
 //echo out the HTML markup
-                $responsePart = '<div class="displayStep" id="' . $result->uid . '" onClick="selectStep(this.id);"><div class="displayStepIcon"><img src="' . $imageURL . '" /></div>' . $result->name . '</div>';
+                $responsePart = '<div class="displayStep" id="' . $result->uid . '" onClick="selectStep(this.id);"><div class="displayStepIcon"><img src="' . $imageURL . '" /></div>' . $result->title . '</div>';
                 return $responsePart;
             }