Index: /Dev/trunk/classes/AnswerConnector.php
===================================================================
--- /Dev/trunk/classes/AnswerConnector.php	(revision 157)
+++ /Dev/trunk/classes/AnswerConnector.php	(revision 158)
@@ -46,8 +46,7 @@
     
 	/**
-	 * Function get()
-	 * Get the answers corresponding to the arguments
-	 * 'Question' argument is supposed to be the question ID
-	 * 'Values' has to be an array to make sure multiple answers can be selected.
+	 * function get()
+	 * @param type $arguments: An array having one or more of the following elements:
+	 * 'uid', 'question', 'values'.
 	 */
     public function get($arguments)
@@ -99,6 +98,6 @@
 	}
 	/**
-	 * Gets the values that belong to the answer
-	 * specified by the UID
+	 * function getValues()
+	 * @param type $uid : The uid of the Answer for which the values should be gotten.
 	 */
 	private function getValues($uid)
@@ -127,6 +126,6 @@
 
     /**
-     * Saves the answer Object to the RDF file.
-     * @param type $rToolObject
+	 * function set()
+     * @param type $rToolObject : The ResearchToolObject to be saved.
      */
     public function set($rToolObject)
Index: /Dev/trunk/classes/AnswerSetConnector.php
===================================================================
--- /Dev/trunk/classes/AnswerSetConnector.php	(revision 157)
+++ /Dev/trunk/classes/AnswerSetConnector.php	(revision 158)
@@ -44,8 +44,7 @@
 
 	/**
-	 * Get the AnswerSets corresponding to the arguments
-	 * Arguments can be one or more of the following:
-	 * uid, survey, respondent, answers
-	 * Where answers is an array of answer ids
+	 * function get()
+	 * @param type $arguments : An array having one ore more of the following elements:
+	 * 'uid', 'survey', 'respondent', 'answers'.
 	 */
 	public function get($arguments)
@@ -102,5 +101,5 @@
 	/**
 	 * function getAnswers()
-	 * Gets the answers corresponding to the given answerset uid
+	 * @param type $uid : the uid for which the answers should be retrieved.
 	 */
 	private function getAnswers($uid)
@@ -130,6 +129,6 @@
 
 	/**
-	 * Save the given AnswerSet in the file.
-	 * @param type $rToolObject
+	 * function set()
+	 * @param type $rToolObject : The ResearchToolObject to be saved.
 	 */
 	public function set($rToolObject)
Index: /Dev/trunk/classes/Application.php
===================================================================
--- /Dev/trunk/classes/Application.php	(revision 157)
+++ /Dev/trunk/classes/Application.php	(revision 158)
@@ -4,5 +4,5 @@
  * Description of Application
  *
- * @author fpvanagthoven
+ * @author jkraaijeveld
  */
 class Application extends ResearchToolObject{
@@ -12,4 +12,11 @@
     public $style;
 
+	/**
+	 * Constructor for an Application object
+	 * @param type $uid : The uid of the Application object.
+	 * @param type $title: The title of the Application.
+	 * @param type $description: The description of the Application.
+	 * @param type $style: The style of the Application.
+	 */
     public function __construct($uid = null, $title = null, $description = null, $style = null) 
     {
Index: /Dev/trunk/classes/ApplicationConnector.php
===================================================================
--- /Dev/trunk/classes/ApplicationConnector.php	(revision 157)
+++ /Dev/trunk/classes/ApplicationConnector.php	(revision 158)
@@ -49,7 +49,6 @@
     /**
      * function get($arguments)
-     * Gets the array of Application objects belonging to arguments supplied.
      * @param type $arguments : An array containing zero or more of the following keys:
-     *                          'uid', 'title', 'description', 'style'
+     * 'uid', 'title', 'description', 'style'
      */
     public function get($arguments) {
@@ -58,14 +57,14 @@
         $keys = array_keys($arguments);
         //Set default values for arguments
-        $uid = "?uid"; $title = "?title"; $description = "?description"; $style = "?style";
+        $uid = ""; $title = ""; $description = ""; $style = "";
         //Set the arguments if they are supplied
         if(in_array("uid", $keys))
-            $uid = "\"".$arguments["uid"]."\"";
+            $uid = "predicates:uid \"".$arguments["uid"]."\"";
         if(in_array("title", $keys))
-            $title = '\''.$arguments["title"].'\'';
+            $title = 'predicates:title \''.$arguments["title"].'\'';
         if(in_array("description", $keys))
-            $description = "\"".$arguments["description"]."\"";
+            $description = "predicates:description \"".$arguments["description"]."\"";
         if(in_array("style", $keys))
-            $style = "\"".$arguments["style"]."\"";    
+            $style = "predicates:style \"".$arguments["style"]."\"";    
 
         //Create the querystring 
@@ -80,9 +79,6 @@
 					predicates:title ?title ;
 					predicates:description ?description ;
-					predicates:style ?style ;
-                     			predicates:uid ' . $uid . ' 
-					predicates:title ' . $title . ' 
-					predicates:description ' . $description . ' 
-					predicates:style ' . $style . '
+					predicates:style ?style ; '
+                    . $uid . $title . $description . $style . ' 
             }';
 
@@ -135,5 +131,5 @@
         $this->model->add(new Statement($resourceApplication,$predicateStyle,$applicationStyle));
 		
-	$this->save();
+		$this->save();
     }
 }
Index: /Dev/trunk/classes/QuestionConnector.php
===================================================================
--- /Dev/trunk/classes/QuestionConnector.php	(revision 157)
+++ /Dev/trunk/classes/QuestionConnector.php	(revision 158)
@@ -50,6 +50,6 @@
     /**
      * Get the questions corresponding to the arguments.
-     * @param type $arguments 
-     * @return type Array
+	 * @param type $arguments : An array having one ore more of the following elements:
+	 * 'uid', 'title', 'type', 'description', 'category', 'has_answer'.
      */
     public function get($arguments)
@@ -59,16 +59,16 @@
         $keys = array_keys($arguments);
         //Set default values for arguments
-        $uid = "?uid"; $title = "?title"; $type = "?type"; $description = "?description"; $category = "?category"; $has_answer = "";
+        $uid = ""; $title = ""; $type = ""; $description = ""; $category = ""; $has_answer = "";
         //Set the arguments if they are supplied
         if(in_array("uid", $keys))
-            $uid = '\''.$arguments["uid"].'\'';
+            $uid = 'predicates:question_code \''.$arguments["uid"].'\'';
         if(in_array("title", $keys))
-            $title = '\''.$arguments["title"].'\'';
+            $title = 'predicates:title \''.$arguments["title"].'\'';
         if(in_array("type", $keys))
-            $type = '\''.$arguments["type"].'\'';
+            $type = 'predicates:type \''.$arguments["type"].'\'';
         if(in_array("description", $keys))
-            $description = "\"".$arguments["description"]."\"";
+            $description = "predicates:description \"".$arguments["description"]."\"";
         if(in_array("category", $keys))
-			$style = "\"".$arguments["category"]."\"";
+			$style = "predicates:category \"".$arguments["category"]."\"";
 		if(in_array("answers", $keys))
 		{
@@ -91,11 +91,5 @@
                 predicates:description ?description ;
                 predicates:question_category ?category ;
-
-                predicates:question_code ' . $uid . '
-                predicates:title ' . $title . '
-                predicates:question_type ' . $type . '
-                predicates:description ' . $description . '
-				predicates:question_category ' . $category . ' 
-				' . $has_answer . '
+				'. $uid . $title . $type . $description . $category . $has_answer . '
             }';
         //Create the querystring 
@@ -117,6 +111,5 @@
     /**
      * Gets the answers belonging to the given uid.
-     * @param type $uid
-     * @return type Array 
+     * @param type $uid : The uid of the Question in question (haha, pun).
      */
     private function getAnswers($uid)
@@ -148,5 +141,5 @@
     /**
      * Save the given ResearchTool object
-     * @param type $rToolObject 
+     * @param type $rToolObject : The ResearchToolObject to be saved.
      */
     public function set($rToolObject)
Index: /Dev/trunk/classes/ResearchToolObject.php
===================================================================
--- /Dev/trunk/classes/ResearchToolObject.php	(revision 157)
+++ /Dev/trunk/classes/ResearchToolObject.php	(revision 158)
@@ -5,5 +5,5 @@
  * @author jkraaijeveld
  */
-class ResearchToolObject {
+abstract class ResearchToolObject {
     public $uid;
 }
Index: /Dev/trunk/classes/Respondent.php
===================================================================
--- /Dev/trunk/classes/Respondent.php	(revision 157)
+++ /Dev/trunk/classes/Respondent.php	(revision 158)
@@ -6,5 +6,5 @@
  * @author jkraaijeveld
  */
-class Respondent extends ResearchToolObject {
+class Respondent extends User {
    public $name;
    public $password;
@@ -12,5 +12,5 @@
    /**
     * Constructor for a Respondent object
-    * @param type $uid
+    * @param type $uid 
     * @param type $name
     * @param type $password 
Index: /Dev/trunk/classes/RespondentConnector.php
===================================================================
--- /Dev/trunk/classes/RespondentConnector.php	(revision 157)
+++ /Dev/trunk/classes/RespondentConnector.php	(revision 158)
@@ -12,5 +12,4 @@
 class RespondentConnector implements IConnector{
     
-    protected $model;
     protected $fileName = 'data/users/respondents.rdf';
     
@@ -20,5 +19,4 @@
     public function __construct()
     {
-        //Ensure the required folder for this connector exists
         if (!is_dir('data/users/'))
             mkdir('data/users/');	
@@ -32,5 +30,4 @@
         //Get the Memory Model from the ModelFactory
         $this->model = ModelFactory::getDefaultModel();
-        
         //Ensure the required file exists before loading
         if(file_exists($this->fileName))
@@ -47,5 +44,5 @@
     
     /**
-     * function get($arguments)
+     * function get()
      * Gets the array of Respondent objects belonging to arguments supplied.
      * @param type $arguments : An array containing zero or more of the following keys:
@@ -57,12 +54,12 @@
         $keys = array_keys($arguments);
         //Set default values for arguments
-        $uid = "?uid"; $name = "?name"; $password = "?password";
+        $uid = ""; $name = ""; $password = "";
         //Set the arguments if they are supplied
         if(in_array("uid", $keys))
-            $uid = "\"".$arguments["uid"]."\"";
+            $uid = "predicates:uid \"".$arguments["uid"]."\"";
         if(in_array("name", $keys))
-            $name = '\''.$arguments["name"].'\'';
+            $name = 'predicates:name \''.$arguments["name"].'\'';
         if(in_array("password", $keys))
-            $password = "\"".$arguments["password"]."\"";
+            $password = "predicates:password \"".$arguments["password"]."\"";
        
         //Create the querystring 
@@ -77,7 +74,5 @@
 					predicates:name ?name ;
 					predicates:password ?password ;
-          			predicates:uid ' . $uid . ' 
-					predicates:name ' . $name . ' 
-					predicates:password ' . $password . ' 
+					' . $uid . $name . $password . '
             }';
         //Query the model
@@ -96,6 +91,6 @@
     
     /**
-     * Save the given User object in the file.
-     * @param type $rToolObject 
+	 * function set()
+     * @param type $rToolObject : The ResearchToolObject to be saved.
      */
     public function set($rToolObject)
Index: /Dev/trunk/classes/SessionConnector.php
===================================================================
--- /Dev/trunk/classes/SessionConnector.php	(revision 157)
+++ /Dev/trunk/classes/SessionConnector.php	(revision 158)
@@ -47,9 +47,7 @@
 
 	/**
-	 * Get the Sessions corresponding to the arguments
-	 * @ param type $arguments
-	 * Arguments can be one or more of the following:
-	 * uid, title, datetime, applications, surveys, answersets
-	 * Where applications, surveys and answersets are arrays containing ids
+	 * function get()
+	 * @param type $arguments : An array containing one or more of the following elements:
+	 * 'uid', 'title', 'datetime', 'applications', 'surveys', 'answersets'
 	 */
 	public function get($arguments)
@@ -119,6 +117,6 @@
 	}
 	/**
-	 * function getPipeline
-	 * Get the application and survey objects of the Session in order
+	 * function getPipeline()
+	 * param type $uid : The Session uid for which the pipeline should be retrieved.
 	 */
 	private function getPipeline($uid)
@@ -145,6 +143,6 @@
 
 	/**
-	 * function getAnswerSets
-	 * Get the answersets belonging to the given session
+	 * function getAnswerSets()
+	 * @param type $uid : The Session uid for which the answerSets should be retrieved.
 	 */
 	private function getAnswerSets($uid)
@@ -163,6 +161,6 @@
 
 	/**
-	 * Save the given Session object in the file.
-	 * @param type $rToolObjects
+	 * function set()
+	 * @param type $rToolObjects : The ResearchToolObject to be saved.
 	 */
 	public function set($rToolObject)
@@ -188,5 +186,5 @@
 		$sessionTimestamp = new Literal($rToolObject->datetime->getTimestamp());
         //      $sessionTimestamp = new Literal($rToolObject->datetime);    // Edit of above function, allows for creation of session, but still results in errors...
-                $predicateTimestamp = new Resource(DATETIME);
+        $predicateTimestamp = new Resource(DATETIME);
 		$this->model->add(new Statement($resourceSession, $predicateTimestamp, $sessionTimestamp));
 
Index: /Dev/trunk/classes/SurveyConnector.php
===================================================================
--- /Dev/trunk/classes/SurveyConnector.php	(revision 157)
+++ /Dev/trunk/classes/SurveyConnector.php	(revision 158)
@@ -55,13 +55,13 @@
         $keys = array_keys($arguments);
         //Set default values for arguments
-        $uid = "?uid"; $title = "?title"; $description = "?description"; $creator = "?creator"; $questions = "";
+        $uid = ""; $title = ""; $description = ""; $creator = ""; $questions = "";
         if(in_array("uid", $keys))
-            $uid = '\''.$arguments["uid"].'\'';
+            $uid = 'predicates:uid \''.$arguments["uid"].'\'';
         if(in_array("title", $keys))
-            $title = '\''.$arguments["title"].'\'';
+            $title = 'predicates:title \''.$arguments["title"].'\'';
         if(in_array("description", $keys))
-			$description = "\"".$arguments["description"]."\"";
+			$description = "predicates:description \"".$arguments["description"]."\"";
 		if(in_array("creator", $keys))
-			$creator = "\"".$arguments["creator"]."\"";
+			$creator = "predicates:creator \"".$arguments["creator"]."\"";
         if(in_array("questions", $keys))
         {
@@ -83,10 +83,7 @@
                 predicates:uid ?uid ;
                 predicates:title ?title ;
-                predicates:description ?description ;
-                predicates:uid ' . $uid . ' 
-                predicates:title ' . $title . '
-				predicates:description ' . $description . '
-				predicates:creator ' . $creator . '
-                ' . $questions . '
+				predicates:description ?description ;
+				predicates:creator ?creator ;
+				' . $uid . $title . $description . $creator . $questions . '
             }';
         
@@ -111,5 +108,5 @@
     /**
      * Gets the questions corresponding to the survey
-     * @param type $uid 
+     * @param type $uid : The uid for which the questions should be gotten.
      */
     private function getQuestions($uid)
@@ -143,5 +140,5 @@
     /**
      * Saves the given Survey object.
-     * @param type $rToolObject 
+     * @param type $rToolObject : The ResearchToolObject to be saved.
      */
     public function set($rToolObject)
Index: /Dev/trunk/classes/UserConnector.php
===================================================================
--- /Dev/trunk/classes/UserConnector.php	(revision 157)
+++ /Dev/trunk/classes/UserConnector.php	(revision 158)
@@ -32,5 +32,4 @@
         //Get the Memory Model from the ModelFactory
         $this->model = ModelFactory::getDefaultModel();
-        
         //Ensure the required file exists before loading
         if(file_exists($this->fileName))
@@ -57,12 +56,12 @@
         $keys = array_keys($arguments);
         //Set default values for arguments
-        $uid = "?uid"; $name = "?name"; $password = "?password";
+        $uid = ""; $name = ""; $password = "";
         //Set the arguments if they are supplied
         if(in_array("uid", $keys))
-            $uid = "\"".$arguments["uid"]."\"";
+            $uid = "predicates:uid \"".$arguments["uid"]."\"";
         if(in_array("name", $keys))
-            $name = '\''.$arguments["name"].'\'';
+            $name = 'predicates:name \''.$arguments["name"].'\'';
         if(in_array("password", $keys))
-            $password = "\"".$arguments["password"]."\"";
+            $password = "predicates:password \"".$arguments["password"]."\"";
        
         //Create the querystring 
@@ -77,7 +76,5 @@
 					predicates:name ?name ;
 					predicates:password ?password ;
-                     			predicates:uid ' . $uid . ' 
-					predicates:name ' . $name . ' 
-					predicates:password ' . $password . ' 
+					' . $uid . $name . $password . '
             }';
         //Query the model