Index: Dev/trunk/classes/Logo.php
===================================================================
--- Dev/trunk/classes/Logo.php	(revision 166)
+++ Dev/trunk/classes/Logo.php	(revision 167)
@@ -17,5 +17,5 @@
         echo '<div id="logo"><a href="index.php">Research Tool</a>';
         if (isset($_SESSION['username'])) {
-            echo '<a href="index.php" onClick="savePipeline();" style="font-size: 12pt;">Log out</a>';
+            echo '<a href="index.php" onClick="savePipeline(true);" style="font-size: 12pt;">Log out</a>';
         }
         echo '</div>';
Index: Dev/trunk/classes/PipelineInfoPanel.php
===================================================================
--- Dev/trunk/classes/PipelineInfoPanel.php	(revision 166)
+++ Dev/trunk/classes/PipelineInfoPanel.php	(revision 167)
@@ -1,4 +1,3 @@
 <?php
-
 /*
  * To change this template, choose Tools | Templates
@@ -12,10 +11,22 @@
  */
 class PipelineInfoPanel {
+
     private $linkedSequencer;
-    
-    public function __construct(){
-        
+
+    public function __construct() {
+        ?>
+        <div>
+            <fieldset id="infoPanel">
+                <div class="fieldsetTitle">
+                    Title
+                </div>
+                <div id="infoContent">
+                    Info goes here
+                </div>
+            </fieldset>
+        </div>
+        <?php
     }
+
 }
-
 ?>
Index: Dev/trunk/classes/Toolbox.php
===================================================================
--- Dev/trunk/classes/Toolbox.php	(revision 166)
+++ Dev/trunk/classes/Toolbox.php	(revision 167)
@@ -18,14 +18,9 @@
         <form name="toolbox" action="pipelineEditor.php" method="POST">
             <fieldset id="toolbox">
-                <div class="title">Toolbox</div>
+                <div class="fieldsetTitle">Toolbox</div><br /><br />
                 <p>Add new: </p>
-<!--                <div class="creationButton" onClick="document.toolbox.objectToCreate.value = 'Survey'; SubmitToolbox();"><img src="images/icons/survey.png" class="buttonIcon"/><p>Survey</p></div>
-                <div class="creationButton" onClick="document.toolbox.objectToCreate.value = 'Application'; SubmitToolbox();"><img src="images/icons/application.png" class="buttonIcon"/><p>Application</p></div>
-                <div class="creationButton" onClick="document.toolbox.objectToCreate.value = 'Dashboard'; SubmitToolbox();"><img src="images/icons/dashboard.png" class="buttonIcon"/><p>Dashboard</p></div>-->
                 <div class="creationButton" onClick="SubmitToolbox('Survey');"><img src="images/icons/survey.png" class="buttonIcon"/><p>Survey</p></div>
                 <div class="creationButton" onClick="SubmitToolbox('Application');"><img src="images/icons/application.png" class="buttonIcon"/><p>Application</p></div>
                 <div class="creationButton" onClick="SubmitToolbox('Dashboard');"><img src="images/icons/dashboard.png" class="buttonIcon"/><p>Dashboard</p></div>
-                <input type="hidden" name="objectToCreate" />
-
             </fieldset>
         </form>
Index: Dev/trunk/classes/pipelineSequencer.php
===================================================================
--- Dev/trunk/classes/pipelineSequencer.php	(revision 166)
+++ Dev/trunk/classes/pipelineSequencer.php	(revision 167)
@@ -31,5 +31,5 @@
                 $stringPipeline .= "$object->uid,";
                 $stringPipelineType .= get_class($object) . ",";
-                $stringPipelineUpdated .= "1,";
+                $stringPipelineUpdated .= "0,";
                 $numberOfSteps++;
             }
@@ -42,16 +42,18 @@
         <br /><form name="sequencerForm" action="pipelineEditor.php" method="post">
             <fieldset id="sequencer">
-                <div class="title">Name: <?php echo $this->loadedSession->title; ?> </div>
+                <div class="fieldsetTitle">Name: <?php echo $this->loadedSession->title; ?> </div>
 
-                <div id="seqContent"></div>
+                <div id="seqContent">
+                    <div id="seqContentWrapper"></div>
+                </div>
 
                 <div id="controls">
-                    <input type="submit" id="moveSelectedLeft" name="moveSelectedLeft" value="< Move" class="surveyButton" />
-                    <input type="submit" id="moveSelectedRight" name="moveSelectedRight" value="Move >" class="surveyButton" />
-                    <input type="submit" id="editSelected" name="editSelected" value="Edit step" class="surveyButton" />
+                    <input type="button" id="moveSelectedL" value="< Move" class="surveyButton"  onClick="moveStep(-1);" />
+                    <input type="button" id="moveSelectedR" value="Move >" class="surveyButton"  onClick="moveStep(1);" />
+                    <input type="button" id="editSelected" value="Edit step" class="surveyButton" />
                     <input type="submit" id="deleteSelected" name="deleteSelected" value="Delete step" class="surveyButton" />
                     <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="surveyButton dis" disabled="true"/>
                     <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
-                    <input type="button" id="t_saveSession" name="t_saveSession" onClick="savePipeline();" value="t_Save_session!" />
+                    <input type="button" id="t_saveSession" name="t_saveSession" onClick="savePipeline(true);" value="t_Save_session!" />
                     <input type="button" id="t_setOOD" name="t_setOOD" onClick="t_setOutOfDate();" value="t_Set_OOD" />
                     <input type="button" id="t_updateSeq" name="t_updateSeq" onClick="updateSequencer();" value="t_Update_Seq" />
@@ -83,7 +85,4 @@
 
     public function Javascript() {
-        $pipelineString = "ERROR";
-
-        echo "<!--$pipelineString-->";
         ?>
         <script type="text/javascript" src="js/sequencerScripts.js"></script>
@@ -91,5 +90,5 @@
         <script type="text/javascript">
             $(document).ready(function() {
-                drawSteps();
+                updateSequencer();
             });
         </script>