Index: /Dev/trunk/classes/StyleSheet.php
===================================================================
--- /Dev/trunk/classes/StyleSheet.php	(revision 176)
+++ /Dev/trunk/classes/StyleSheet.php	(revision 177)
@@ -20,5 +20,7 @@
         $this->path = "css/" . $styleName . ".css";
 
+        echo '<link rel="Stylesheet" type="text/css" href="css/resetstyle.css" />';
         echo '<link rel="Stylesheet" type="text/css" href="' . $this->path . '"/>';
+        
         echo "\n";
     }
Index: /Dev/trunk/classes/Toolbox.php
===================================================================
--- /Dev/trunk/classes/Toolbox.php	(revision 176)
+++ /Dev/trunk/classes/Toolbox.php	(revision 177)
@@ -16,4 +16,17 @@
 
         <br />
+        
+        <div id="toolbox" class="largeFrame">
+            <div class="largeTitle">Toolbox</div>
+            <div class="content">
+                <p style="float: left; clear:both; margin-bottom: 1em;">Add new:</p>
+                <div class="bigButton vert" onClick="SubmitToolbox('Survey');"><img src="images/icons/survey.png" class="buttonIcon" /><p>Survey</p></div>
+                <div class="bigButton vert" onClick="SubmitToolbox('Application');"><img src="images/icons/application.png" class="buttonIcon" /><p>Application</p></div>
+                <div class="bigButton vert" onClick="SubmitToolbox('Dashboard');"><img src="images/icons/dashboard.png" class="buttonIcon" /><p>Dashboard</p></div>
+            </div>
+        </div>
+        
+        
+        <!--
         <form name="toolbox" action="pipelineEditor.php" method="POST">
             <fieldset id="toolbox">
@@ -25,4 +38,6 @@
             </fieldset>
         </form>
+        
+        -->
         <?php
     }
Index: /Dev/trunk/classes/pipelineSequencer_1.php
===================================================================
--- /Dev/trunk/classes/pipelineSequencer_1.php	(revision 177)
+++ /Dev/trunk/classes/pipelineSequencer_1.php	(revision 177)
@@ -0,0 +1,192 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * A visual interface object for editing and viewing a session's pipeline.
+ *
+ * @author Tschipper
+ */
+class PipelineSequencer_1 {
+
+    // properties
+    private $loadedSession;
+    private $selectedStep;
+    private $dbi;
+
+    public function __construct() {
+        $this->dbi = new DatabaseInterface();
+    }
+
+    public function init() {
+        $stringPipeline = "";
+        $stringPipelineType = "";
+        $stringPipelineUpdated = "";
+        $numberOfSteps = 0;
+
+        if (is_array($this->loadedSession->pipeline)) {
+            foreach ($this->loadedSession->pipeline as $object) {
+                $stringPipeline .= "$object->uid,";
+                $stringPipelineType .= get_class($object) . ",";
+                $stringPipelineUpdated .= "0,";
+                $numberOfSteps++;
+            }
+        } else {
+            $stringPipeline = $this->loadedSession->pipeline;
+            $stringPipelineType = $_POST['pipelineTypes'];
+            $stringPipelineUpdated = $_POST['pipelineUpdatedField'];
+        }
+        ?>
+        <br />
+
+        <div id="sequencer" class="largeFrame">
+            <div class="largeTitle">Name <?php echo $this->loadedSession->title; ?></div>
+            
+            <div id="seqContent" class="innerLargeFrame">
+                <div id="seqContentWrapper"></div>
+            </div>
+
+            <div class="controls">
+                <input type="button" id="moveSelectedL" value="< Move" class="smallButton"  onClick="moveStep(-1);" />
+                <input type="button" id="moveSelectedR" value="Move >" class="smallButton"  onClick="moveStep(1);" />
+                <input type="button" id="editSelected" value="Edit step" class="smallButton" onClick="editStep();" />
+                <input type="button" id="deleteSelected" value="Delete step" class="smallButton" onClick="deleteStep();" />
+                <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="smallButton dis" disabled="true"/>
+                <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
+                <input type="button" value="debug_save" onClick="savePipeline(true);" />
+            </div>
+            
+            <div id="hiddenInputs">
+                <input type="hidden" name="selectedStep" id="selectedStepField" value="" />
+                <input type="hidden" name="pipelineString" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
+                <input type="hidden" name="pipelineTypes" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
+                <input type="hidden" name="pipelineUpDated" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
+                <input type="hidden" name="numSteps" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
+                <input type="hidden" name="session" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+            </div>
+        </div>
+
+        <!--
+        <form name="sequencerForm" action="pipelineEditor.php" method="post">
+            <fieldset id="sequencer">
+                <div class="fieldsetTitle">Name: <?php echo $this->loadedSession->title; ?> </div>
+
+                <div id="seqContent">
+                    <div id="seqContentWrapper"></div>
+                </div>
+
+                <div id="controls">
+                    <input type="button" id="moveSelectedL" value="< Move" class="surveyButton"  onClick="moveStep(-1);" />
+                    <input type="button" id="moveSelectedR" value="Move >" class="surveyButton"  onClick="moveStep(1);" />
+                    <input type="button" id="editSelected" value="Edit step" class="surveyButton" onClick="editStep();" />
+                    <input type="button" id="deleteSelected" value="Delete step" class="surveyButton" onClick="deleteStep();" />
+                    <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="surveyButton dis" disabled="true"/>
+                    <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
+                    <input type="button" value="debug_save" onClick="savePipeline(true);" />
+                </div>
+                <div id="hiddenInputs">
+                    <input type="hidden" name="selectedStep" id="selectedStepField" value="" />
+                    <input type="hidden" name="pipelineString" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
+                    <input type="hidden" name="pipelineTypes" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
+                    <input type="hidden" name="pipelineUpDated" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
+                    <input type="hidden" name="numSteps" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
+                    <input type="hidden" name="session" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+                </div>
+            </fieldset>
+        </form>
+        -->
+        <?php
+    }
+
+    public function Javascript() {
+        ?>
+        <script type="text/javascript" src="js/sequencerScripts.js"></script>
+        <script type="text/javascript" src="js/jquery.js"></script>
+        <script type="text/javascript">
+            $(document).ready(function() {
+                updateSequencer(true);      // true means it is the first refresh of the page.
+            });
+        </script>
+        <?php
+    }
+
+    public function LoadSession($currentSession) {   // Initialize variables on page load.
+        if (!isset($currentSession)) {
+            redirect("selectSession.php");
+        }
+        if (isset($_SESSION['updateNeeded'])) {    // user has performed an operation that flags session to be reloaded from DB, or is first load of page for that session
+            $sessionResults = $this->dbi->get("Session", array("uid" => $currentSession));
+
+            if (count($sessionResults) > 0) {
+                $_SESSION['localSessionCopy'] = $sessionResults[0];
+                unset($_SESSION['updateNeeded']);
+            } else {
+                die("No session with that UID found!");
+            }
+        }
+
+        if (isset($_SESSION['localSessionCopy']) && !empty($_SESSION['localSessionCopy'])) {
+
+            $this->loadedSession = $_SESSION['localSessionCopy'];
+            unset($_SESSION['updateNeeded']);
+        }
+    }
+
+    public function HandlePostData() {
+        if (isset($_POST['editSelected'])) {
+            if (isset($_POST['selectedStep']) && !empty($_POST['selectedStep'])) {
+                redirect("editredirect.php");
+            }
+        }
+
+        if (isset($_POST['moveSelectedLeft'])) {
+            if (isset($_POST['selectedStep']) && !empty($_POST['selectedStep'])) {
+                $this->MoveStep($_POST['selectedStep'], -1);
+            }
+        }
+
+        if (isset($_POST['moveSelectedRight'])) {
+            if (isset($_POST['selectedStep']) && !empty($_POST['selectedStep'])) {
+                $this->MoveStep($_POST['selectedStep'], 1);
+            }
+        }
+
+        if (isset($_POST['objectToCreate']) && !empty($_POST['objectToCreate'])) {
+            switch (strtolower($_POST['objectToCreate'])) {
+                case "survey":
+                    redirect("createsurvey.php");
+                    break;
+                case "application":
+                    redirect("createapplication.php");
+                    break;
+                case "dashboard":
+                    redirect("createdashboard.php");
+                    break;
+                default:
+                    // Er is iets fout gegaan, want er is geen valid type meegegeven!
+                    break;
+            }
+        }
+    }
+
+    // Dit is een pure php versie. Deze slaat nog niet op in de Database, en reageert nog niet op 
+    public function MoveStep($uid, $direction) {
+        $newSession = $this->loadedSession;
+
+        for ($i = 0; $i < count($newSession->pipeline); $i++) {
+            if ($newSession->pipeline[$i]->uid == $uid) {
+                $temp = $newSession->pipeline[$i];
+                $newSession->pipeline[$i] = $newSession->pipeline[$i + $direction];
+                $newSession->pipeline[$i + $direction] = $temp;
+                break;
+            }
+        }
+
+        $this->loadedSession = $newSession;
+        redirect("pipelineEditor.php");
+    }
+
+}
+?>
Index: /Dev/trunk/css/awesome.css
===================================================================
--- /Dev/trunk/css/awesome.css	(revision 176)
+++ /Dev/trunk/css/awesome.css	(revision 177)
@@ -31,12 +31,5 @@
     color: #333;
 }
-/*
-label {
-    font-size: small;
-    font-weight: bold;
-    color: #333;
-    text-shadow: #fff 0px 0px 1px;
-}
-*/
+
 legend {
     padding-left: 0em;
@@ -895,2 +888,103 @@
     clear: left;
 }
+
+#surveyEditor {
+    
+    margin: 0 auto 0 auto;
+    
+    /*background-image: url('../images/bg/sequencerBG.png');*/
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    float: left;
+    
+    background-color: #aeb2b3;
+    border: 1px solid #fff;
+    -moz-border-radius: 1em;
+    border-radius: 1em;
+    margin-bottom: 2em;
+    padding: 0 1em 1em 1em;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+
+#surveyEditorContent {
+    overflow-x: hidden;
+
+    margin-bottom: 0.5em;
+
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+
+    border: 1px solid #ddd;
+    -moz-border-radius: 0.5em;
+    border-radius: 0.5em;
+    padding: 1em;
+    float: left;
+}
+
+.questionDisplay {
+    width: 60em;
+    border: 1px solid #FFF;
+    display: block;
+    margin: 0;
+    padding: 0;
+    float: left;
+    background-color: #5c5c5c;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+
+.questionDisplayContent {
+    margin: 0;
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    padding: 0.5em;
+}
+
+.questionDisplayControls {
+    text-align: right;
+}
+
+p.questionBody {
+    border: 1px solid #cccccc;
+    background-color: #c5c5c5;
+}
+
+#surveyEditorControls {
+    text-align: right;
+}
Index: /Dev/trunk/css/resetstyle.css
===================================================================
--- /Dev/trunk/css/resetstyle.css	(revision 177)
+++ /Dev/trunk/css/resetstyle.css	(revision 177)
@@ -0,0 +1,61 @@
+/* 
+    Document   : resetstyle
+    Created on : 6-dec-2011, 14:10:40
+    Author     : Thijs Schipper
+    Description:    Reset object styling for cross-browser compatibility
+        
+*/
+
+/* 
+   TODO customize this sample style
+   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
+*/
+
+/* http://meyerweb.com/eric/tools/css/reset/ 
+   v2.0 | 20110126
+   License: none (public domain)
+*/
+
+html, body, div, span, applet, object, iframe,
+h1, h2, h3, h4, h5, h6, p, blockquote, pre,
+a, abbr, acronym, address, big, cite, code,
+del, dfn, em, img, ins, kbd, q, s, samp,
+small, strike, strong, sub, sup, tt, var,
+b, u, i, center,
+dl, dt, dd, ol, ul, li,
+fieldset, form, label, legend,
+table, caption, tbody, tfoot, thead, tr, th, td,
+article, aside, canvas, details, embed, 
+figure, figcaption, footer, header, hgroup, 
+menu, nav, output, ruby, section, summary,
+time, mark, audio, video {
+	margin: 0;
+	padding: 0;
+	border: 0;
+	font-size: 100%;
+	font: inherit;
+	vertical-align: baseline;
+}
+/* HTML5 display-role reset for older browsers */
+article, aside, details, figcaption, figure, 
+footer, header, hgroup, menu, nav, section {
+	display: block;
+}
+body {
+	line-height: 1;
+}
+ol, ul {
+	list-style: none;
+}
+blockquote, q {
+	quotes: none;
+}
+blockquote:before, blockquote:after,
+q:before, q:after {
+	content: '';
+	content: none;
+}
+table {
+	border-collapse: collapse;
+	border-spacing: 0;
+}
Index: /Dev/trunk/css/visualeditors.css
===================================================================
--- /Dev/trunk/css/visualeditors.css	(revision 177)
+++ /Dev/trunk/css/visualeditors.css	(revision 177)
@@ -0,0 +1,322 @@
+/* 
+    Document   : visualeditors
+    Created on : 6-dec-2011, 13:43:58
+    Author     : Thijs Schipper
+    Description:    Attempt at a new -organized- stylesheet
+        Purpose of the stylesheet follows.
+*/
+
+/* 
+   TODO customize this sample style
+   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
+*/
+
+root { 
+    display: block;
+}
+
+html {
+    background-image: url('../images/bg/blueishgridblock.png');
+    height: 100%;
+    font-size: 12px;
+    font-family: sans-serif;
+}
+
+#wrapper {
+    width: 80%;
+    min-width: 800px;
+    margin: 0 auto;
+}
+
+#content {
+    width: 100%;
+    position: relative;
+    padding: 2em 0;
+}
+
+#surveyEditor {
+    background-color: #0000FF;
+}
+
+
+
+
+
+
+
+
+
+
+.largeFrame {
+    width: auto;
+    padding: 0 1em;
+    float: left;
+    clear: both;
+
+
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    border: 1px solid #FFF;
+    border-radius: 1em;
+    -moz-border-radius: 1em;
+}
+
+.innerLargeFrame {
+    width: auto;
+    max-height: 300px;
+    overflow-y: auto;
+    overflow-x: hidden;
+    padding: 1em 1em;
+    border: 1px solid #FFF;
+    border-radius: 0.5em;
+    -maz-border-radius: 0.5em;
+    float: left;
+    clear: both;
+
+
+    background-image: linear-gradient(bottom, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(bottom, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(tbottomop, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(bottom, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(bottom, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+}
+
+.smallFrame {
+    margin: 0.5em auto;
+    float: left;
+    clear: both;
+    background-color: #555;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+    border: 1px solid #FFF;
+}
+
+.smallFrame .content {
+    width: 600px;
+    float: left;
+    clear: left;
+    padding: 0.25em 1em;
+
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+}
+
+
+
+
+
+
+
+
+
+
+
+.largeTitle {
+    width: auto;
+    padding: 0.25em 1em;
+    font-size: 1.5em;
+    color: #FFF;
+    float: left;
+    text-shadow: #555 0px 0px 5px;
+}
+
+.smallTitle {
+    width: auto;
+    min-height: 1.5em;
+    padding: 0.25em 1em;
+    font-size: 1.25em;
+    color: #FFF;
+    float: left;
+}
+
+.smallTitle .listNumber {
+    float: left;
+    color: #CCFFFF;
+    font-size: 2em;
+}
+
+.controls {
+    clear: both;
+    text-align: right;
+    float: right;
+    min-height: 2.5em;
+}
+
+.questionBody {
+    float: left;
+    clear: left;
+    margin: 1em 0;
+    font-style: italic;
+}
+
+.questionParamsView {
+    float: left;
+    clear: left;
+    border: 1px solid #555;
+    padding: 0.5em;
+    font-weight: bold;
+}
+
+
+
+.bigButton {
+    padding:0.25em;
+    margin: 0.25em;
+    border: 1px solid #555;
+    border-radius: 0.5em;
+    -moz-border-radius: 0.5em;
+    background-color: transparent;
+}
+
+.bigButton:hover {
+    border-color: #1c94c4;
+    background-color: #ddd;
+}
+
+.bigButton .buttonIcon {
+    
+}
+
+.bigButton.vert {
+    clear:both;
+}
+
+
+.smallButton {
+    margin: 0.5em 0.25em;
+    padding: 0.25em 0.5em;
+    color: #555;
+    font-weight: bold;
+    border: 1px solid #555;
+    border-radius: 0.25em;
+    -moz-border-radius: 0,25em;
+    background-color: transparent;
+}
+
+.smallFrame .smallButton {
+    color: #ccc;
+    border-color: #ccc;
+}
+
+.smallButton:hover {
+    color: #000;
+    background-color: #ddd;
+    border-color: #1c94c4;
+}
+
+
+
+
+/****************************/
+/* PIPELINE EDITOR SPECIFIC */
+/****************************/
+
+#seqContent {
+    overflow-y: hidden;
+    overflow-x: scroll;
+    width: 800px;
+    height: 9em;
+    float: left;
+}
+
+#seqContentWrapper {
+    clear: none;
+    float: left;
+    margin-right: -32000px;
+}
+
+#seqContentWrapper .divider {
+    width: 10px;
+    height: 50px;
+    margin: 10px 15px 0 20px;
+    background-image: url('../images/ui/sequencerDivider.png');
+    float: left;
+}
+
+.displayStep {
+    width: 52px;
+    padding: 0;
+    margin-top: 10px;
+    background-repeat: no-repeat;
+    float: left;
+    text-align: center;
+    -webkit-user-select: none;
+    -khtml-user-select: none;
+    -moz-user-select: none;
+    -o-user-select: none;
+    user-select: none;
+}
+
+.displayStep.selected {
+    -moz-box-shadow: 0 0 50px #FFF;
+    -webkit-box-shadow: 0 0 50px #FFF;
+    box-shadow: 0 0 50px #FFF;
+
+}
+
+.displayStep .displayStepIcon {
+    width: 50px;
+    height: 50px;
+    border: 2px solid #444444;
+    color: #FFF;
+}
+
+.displayStep p{
+    margin-top: 5px;
+    font-weight: normal;
+    font-size: 1em;
+}
+
+#toolbox {
+    margin-top: 2em;
+}
+
+#toolbox .content {
+    padding: 0.5em;
+}
+
+#toolbox .bigButton p {
+    position: relative;
+    top: -1.75em;
+    margin-left: 0.5em;
+    display: inline;
+}
+
Index: /Dev/trunk/js/questionEditorScripts.js
===================================================================
--- /Dev/trunk/js/questionEditorScripts.js	(revision 176)
+++ /Dev/trunk/js/questionEditorScripts.js	(revision 177)
@@ -192,5 +192,5 @@
     debugger;
     hiddenDiv.innerHTML = "";
-    var userText = textArea.firstChild.valueOf().value;
+    var userText = textArea.firstChild;
     alert(userText);
 }
Index: /Dev/trunk/pipelineEditor.php
===================================================================
--- /Dev/trunk/pipelineEditor.php	(revision 176)
+++ /Dev/trunk/pipelineEditor.php	(revision 177)
@@ -6,5 +6,5 @@
 }
 
-$sequencer = new PipelineSequencer();
+$sequencer = new PipelineSequencer_1();
 $sequencer->LoadSession($_SESSION['currentSession']); //load session into php part of the sequencer
 $sequencer->HandlePostData();
@@ -21,5 +21,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title></title>
-        <?php new StyleSheet("awesome"); 
+        <?php new StyleSheet("visualeditors"); 
         $sequencer->Javascript();
         ?>
Index: /Dev/trunk/surveyEditor.php
===================================================================
--- /Dev/trunk/surveyEditor.php	(revision 177)
+++ /Dev/trunk/surveyEditor.php	(revision 177)
@@ -0,0 +1,52 @@
+<?php
+require "classes/master.php";
+?>
+
+<!--
+To change this template, choose Tools | Templates
+and open the template in the editor.
+-->
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title></title>
+        <?php new StyleSheet("visualeditors"); ?>
+    </head>
+    <body>
+        <div id="wrapper">
+            <div id="content">
+                <div id="surveyEditor" class="largeFrame">
+                    <div class="largeTitle">
+                        Survey name
+                    </div>
+                    <div id="surveyEditorContent" class="innerLargeFrame">
+
+                        <div id="questionUID" class="smallFrame">
+                            <div class="smallTitle"><div class="listNumber">1</div>#QUESTION-IDENT-NO</div>
+                            <div class="content">
+                                <p class="questionBody">
+                                    This is the question body text. This is what the user will read when he is answering the survey.This is the question body text. This is what the user will read when he is answering the survey.This is the question body text. This is what the user will read when he is answering the survey.
+                                </p>
+                                <div class="questionParamsView">
+                                    PARAMETERS GO HERE, probably in one line (Only answer type and identifier?) Tags?
+                                </div>
+                            </div>
+                            <div id="questionDisplayControls" class="controls">
+                                <input type="button" value="Edit" onClick="javascript:alert('editing not yet supported');" class =" smallButton"/>
+                                <input type="button" value="Remove" onClick="javascript:alert('removing not yet supported');" class =" smallButton"/>
+                            </div>
+                        </div>
+                        
+
+                    </div>
+                    <div id="surveyEditorControls" class="controls">
+                        <input type="button" value="Discard survey" onClick="javascript:alert('discard not yet supported');" class="smallButton" />
+                        <input type="button" value="Save survey" onClick="javascript:alert('save not yet supported');" class="smallButton" />
+                    </div>
+
+                </div>
+            </div>
+        </div>
+    </body>
+</html>